Skip to main content
GET
/
core
/
uboverify
/
list
/
{orderId}
Retrieve Ownership Tree
curl --request GET \
  --url https://rest.kyckr.com/core/uboverify/list/{orderId} \
  --header 'Authorization: <api-key>'
import requests

url = "https://rest.kyckr.com/core/uboverify/list/{orderId}"

headers = {"Authorization": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: '<api-key>'}};

fetch('https://rest.kyckr.com/core/uboverify/list/{orderId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "ownershipTreeField": {
    "idField": "0000000000",
    "nameField": "TEST COMPANY LIMITED",
    "addressField": "23 The Street, Test Town, UK",
    "nodesField": [
      {
        "levelField": 1,
        "entityField": {
          "idField": "0c7f23d9-30ca-41bb-8733-31d0180bbc8a",
          "typeField": "COMPANY",
          "nameField": "TEST COMPANY LIMITED",
          "nameInEnglishField": "TEST COMPANY LIMITED",
          "countryISOField": "GB",
          "companyCodeField": "0000000000",
          "addressField": "23 The Street, Test Town, UK",
          "linksField": {
            "enhancedProfileField": "https://download.kyckr.com/file/json/1874665464-0"
          },
          "registrationAuthorityField": "Companies House, United Kingdom"
        },
        "edgesField": [
          {
            "nodeIdField": "654b7cd3-08d5-4f4c-a33c-a05f48705fb7",
            "typeField": "SHAREHOLDER",
            "percentageField": 75.1,
            "isCircularField": false,
            "nameField": "TEST COMPANY GROUPCO LIMITED",
            "shareholdingsField": [
              {
                "isJointlyHeldField": false,
                "percentageField": 75.1
              }
            ]
          },
          {
            "nodeIdField": "17aa746e-90b4-4d05-afc4-55058dc7255b",
            "typeField": "SHAREHOLDER",
            "percentageField": 24.9,
            "isCircularField": false,
            "nameField": "JOE BLOGGS",
            "shareholdingsField": [
              {
                "isJointlyHeldField": false,
                "percentageField": 24.9
              }
            ]
          },
          {
            "nodeIdField": "85eaf0ca-9cf3-481e-b692-e971a24ccf07",
            "typeField": "REPRESENTATIVE",
            "roleField": "Director",
            "isCircularField": false
          },
          {
            "nodeIdField": "2480d30d-c83c-4c6b-9e44-8f18d3ad8fa6",
            "typeField": "REPRESENTATIVE",
            "roleField": "Director",
            "isCircularField": false
          },
          {
            "nodeIdField": "e13b8465-b5b2-43b0-9144-7c9d6bc6c50e",
            "typeField": "REPRESENTATIVE",
            "roleField": "Director",
            "isCircularField": false
          },
          {
            "nodeIdField": "3ea2b731-cf94-411c-9e08-e8f55a1d7f5e",
            "typeField": "REPRESENTATIVE",
            "roleField": "Director",
            "isCircularField": false
          },
          {
            "nodeIdField": "b290f3e2-14c7-462c-9b07-ad0fb5fa5240",
            "typeField": "REPRESENTATIVE",
            "roleField": "Company Secretary",
            "isCircularField": false
          }
        ],
        "entitySelectionMetadataField": {
          "sourceField": "ALGORITHM"
        }
      },
      {
        "levelField": 2,
        "entityField": {
          "idField": "17aa746e-90b4-4d05-afc4-55058dc7255b",
          "typeField": "PERSON",
          "nameField": "JOE BLOGGS",
          "nameInEnglishField": "JOE BLOGGS"
        },
        "edgesField": [],
        "rollupPercentageField": 24.9
      },
      {
        "levelField": 2,
        "entityField": {
          "idField": "85eaf0ca-9cf3-481e-b692-e971a24ccf07",
          "typeField": "PERSON",
          "nameField": "Jim Bloggs",
          "nameInEnglishField": "Jim Bloggs"
        },
        "edgesField": []
      },
      {
        "levelField": 2,
        "entityField": {
          "idField": "2480d30d-c83c-4c6b-9e44-8f18d3ad8fa6",
          "typeField": "PERSON",
          "nameField": "John Bloggs",
          "nameInEnglishField": "John Bloggs"
        },
        "edgesField": []
      },
      {
        "levelField": 2,
        "entityField": {
          "idField": "e13b8465-b5b2-43b0-9144-7c9d6bc6c50e",
          "typeField": "PERSON",
          "nameField": "George Bloggs",
          "nameInEnglishField": "George Bloggs"
        },
        "edgesField": []
      },
      {
        "levelField": 2,
        "entityField": {
          "idField": "3ea2b731-cf94-411c-9e08-e8f55a1d7f5e",
          "typeField": "PERSON",
          "nameField": "Jasper Bloggs",
          "nameInEnglishField": "Jasper Bloggs"
        },
        "edgesField": []
      },
      {
        "levelField": 2,
        "entityField": {
          "idField": "b290f3e2-14c7-462c-9b07-ad0fb5fa5240",
          "typeField": "PERSON",
          "nameField": "John Doe",
          "nameInEnglishField": "John Doe"
        },
        "edgesField": []
      },
      {
        "levelField": 2,
        "entityField": {
          "idField": "654b7cd3-08d5-4f4c-a33c-a05f48705fb7",
          "typeField": "COMPANY",
          "nameField": "TEST COMPANY GROUPCO LIMITED",
          "nameInEnglishField": "TEST COMPANY GROUPCO LIMITED",
          "countryISOField": "GB",
          "companyCodeField": "10376414",
          "linksField": {
            "enhancedProfileField": "https://download.kyckr.com/file/json/1307211989-0"
          },
          "registrationAuthorityField": "Companies House, United Kingdom"
        },
        "edgesField": [
          {
            "nodeIdField": "9070194e-b598-47b5-b3e8-cb1464d3c0ce",
            "typeField": "SHAREHOLDER",
            "percentageField": 100,
            "isCircularField": false,
            "nameField": "TEST COMPANY HOLDINGS LIMITED",
            "shareholdingsField": [
              {
                "isJointlyHeldField": false,
                "percentageField": 100
              }
            ]
          },
          {
            "nodeIdField": "c7fead02-42f7-4157-9d0a-e960ddcf9b83",
            "typeField": "REPRESENTATIVE",
            "roleField": "Director",
            "isCircularField": false
          },
          {
            "nodeIdField": "c47b9a7a-4734-4a2d-bdf4-01bc3cef7d42",
            "typeField": "REPRESENTATIVE",
            "roleField": "Director",
            "isCircularField": false
          },
          {
            "nodeIdField": "e4496e08-4a14-420d-a64a-47db610a0d18",
            "typeField": "REPRESENTATIVE",
            "roleField": "Company Secretary",
            "isCircularField": false
          }
        ],
        "rollupPercentageField": 75.1,
        "entitySelectionMetadataField": {
          "sourceField": "ALGORITHM"
        }
      },
      {
        "levelField": 3,
        "entityField": {
          "idField": "c7fead02-42f7-4157-9d0a-e960ddcf9b83",
          "typeField": "PERSON",
          "nameField": "Jim Bloggs",
          "nameInEnglishField": "Jim Bloggs"
        },
        "edgesField": []
      },
      {
        "levelField": 3,
        "entityField": {
          "idField": "c47b9a7a-4734-4a2d-bdf4-01bc3cef7d42",
          "typeField": "PERSON",
          "nameField": "George Bloggs",
          "nameInEnglishField": "George Bloggs"
        },
        "edgesField": []
      },
      {
        "levelField": 3,
        "entityField": {
          "idField": "e4496e08-4a14-420d-a64a-47db610a0d18",
          "typeField": "PERSON",
          "nameField": "John Doe",
          "nameInEnglishField": "John Doe"
        },
        "edgesField": []
      },
      {
        "levelField": 3,
        "entityField": {
          "idField": "9070194e-b598-47b5-b3e8-cb1464d3c0ce",
          "typeField": "COMPANY",
          "nameField": "TEST COMPANY HOLDINGS LIMITED",
          "nameInEnglishField": "TEST COMPANY HOLDINGS LIMITED",
          "countryISOField": "GB",
          "companyCodeField": "00066076",
          "linksField": {
            "enhancedProfileField": "https://download.kyckr.com/file/json/739758514-0"
          },
          "registrationAuthorityField": "Companies House, United Kingdom"
        },
        "edgesField": [
          {
            "nodeIdField": "9909394e-97af-44a9-a83a-95a20292d7b1",
            "typeField": "SHAREHOLDER",
            "percentageField": 100,
            "isCircularField": false,
            "nameField": "TEST COMPANY TOPCO LTD",
            "shareholdingsField": [
              {
                "isJointlyHeldField": false,
                "percentageField": 100
              }
            ]
          },
          {
            "nodeIdField": "2292c5b3-8d6c-4f45-a323-7c09161c4903",
            "typeField": "REPRESENTATIVE",
            "roleField": "Director",
            "isCircularField": false
          },
          {
            "nodeIdField": "a7a50010-0b7a-4c76-b9aa-83bf4100287b",
            "typeField": "REPRESENTATIVE",
            "roleField": "Director",
            "isCircularField": false
          },
          {
            "nodeIdField": "5dbf09ee-2f17-4336-83b9-d83798b80d5a",
            "typeField": "REPRESENTATIVE",
            "roleField": "Director",
            "isCircularField": false
          },
          {
            "nodeIdField": "97c8ee1b-e2d2-4c04-8410-a25ad391a80a",
            "typeField": "REPRESENTATIVE",
            "roleField": "Director",
            "isCircularField": false
          },
          {
            "nodeIdField": "f8b384e3-66bf-4116-abd0-9bbfa702ebf8",
            "typeField": "REPRESENTATIVE",
            "roleField": "Director",
            "isCircularField": false
          },
          {
            "nodeIdField": "d84ddc61-f181-45c4-84fd-ae0d18f07eb3",
            "typeField": "REPRESENTATIVE",
            "roleField": "Company Secretary",
            "isCircularField": false
          }
        ],
        "rollupPercentageField": 75.1,
        "entitySelectionMetadataField": {
          "sourceField": "ALGORITHM"
        }
      },
      {
        "levelField": 4,
        "entityField": {
          "idField": "2292c5b3-8d6c-4f45-a323-7c09161c4903",
          "typeField": "PERSON",
          "nameField": "Jane Doe",
          "nameInEnglishField": "Jane Doe"
        },
        "edgesField": []
      },
      {
        "levelField": 4,
        "entityField": {
          "idField": "a7a50010-0b7a-4c76-b9aa-83bf4100287b",
          "typeField": "PERSON",
          "nameField": "Jim Bloggs",
          "nameInEnglishField": "Jim Bloggs"
        },
        "edgesField": []
      },
      {
        "levelField": 4,
        "entityField": {
          "idField": "5dbf09ee-2f17-4336-83b9-d83798b80d5a",
          "typeField": "PERSON",
          "nameField": "James Doe",
          "nameInEnglishField": "James Doe"
        },
        "edgesField": []
      },
      {
        "levelField": 4,
        "entityField": {
          "idField": "97c8ee1b-e2d2-4c04-8410-a25ad391a80a",
          "typeField": "PERSON",
          "nameField": "Julia Doe",
          "nameInEnglishField": "Julia Doe"
        },
        "edgesField": []
      },
      {
        "levelField": 4,
        "entityField": {
          "idField": "f8b384e3-66bf-4116-abd0-9bbfa702ebf8",
          "typeField": "PERSON",
          "nameField": "Jim Doe",
          "nameInEnglishField": "Jim Doe"
        },
        "edgesField": []
      },
      {
        "levelField": 4,
        "entityField": {
          "idField": "d84ddc61-f181-45c4-84fd-ae0d18f07eb3",
          "typeField": "PERSON",
          "nameField": "John Doe",
          "nameInEnglishField": "John Doe"
        },
        "edgesField": []
      },
      {
        "levelField": 4,
        "entityField": {
          "idField": "9909394e-97af-44a9-a83a-95a20292d7b1",
          "typeField": "COMPANY",
          "nameField": "TEST COMPANY TOPCO LTD",
          "nameInEnglishField": "TEST COMPANY TOPCO LTD",
          "countryISOField": "GB",
          "companyCodeField": "04494323",
          "reasonForNonContinuationField": {
            "detailsField": "Max layers reached",
            "typeField": "INSUFFICIENT_MAX_LAYERS",
            "candidatesField": []
          }
        },
        "edgesField": [],
        "rollupPercentageField": 75.1
      }
    ],
    "ultimateBeneficialOwnersField": [],
    "statusField": "SUCCESS",
    "uboThresholdField": 25,
    "maxCreditCostField": 15,
    "maxLayersField": 3,
    "dateCreatedField": "2023-10-03T12:34:52.9816751Z",
    "retrievalLocationField": "https://download.kyckr.com/file/294635291",
    "totalCreditsSpentField": 12,
    "unwrapFeeField": 2,
    "countryISOField": "GB",
    "companyCodeField": "0000000000"
  },
  "uboAnalysisField": {
    "statusField": "INCOMPLETE_REQUIRED_PROFILES",
    "metricsField": {
      "uboCoverageField": 0,
      "shareholdingCoverageField": 75.1,
      "unpurchasedTotalField": 75.1
    },
    "requiredProfilesField": [
      {
        "entityIdField": "9909394e-97af-44a9-a83a-95a20292d7b1",
        "entityNameField": "TEST COMPANY TOPCO LTD",
        "companyCodeField": "04494323"
      }
    ],
    "potentialBeneficialOwnersField": []
  }
}

Authorizations

Authorization
string
header
required

Path Parameters

orderId
string
required

ID retrieved from create UBO order response

Response

Example response

ownershipTreeField
object
uboAnalysisField
object

Advanced UBO discovery completion status, metrics, and actionable recommendations.

responseCodeField
string

Response code for the retrieval request. "200" indicates a successful retrieval, covering both in-progress and completed states.

Example:

"200"